package com.gct.dataengine.collector;

import com.gct.common.oss.EnableOSSAccess;
import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
//@MapperScan("com.gct.dataengine.collector.mapper*")//要扫描的dao包
@EnableSwagger2Doc //启用swagger注解
@EnableConfigurationProperties
@EnableFeignClients
@EnableOSSAccess
public class DataEngineCollectApplication{

    public static void main(String[] args) {
        SpringApplication.run(DataEngineCollectApplication.class, args);
    }
}
