package com.gct.dataengine.collector.feign;

import com.gct.common.core.result.Result;
import com.gct.dataengine.collector.entity.BlockData;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author xusirui 2022/5/24
 */
@FeignClient(value = "data-engine-cauldron",fallback = CauldronHystrix.class)
public interface CauldronClient {

    @PostMapping("/dataBind/V1/writeData")
    String writeData(@RequestBody BlockData blockData);
}
