package com.gct.dataengine.collector.feign;

import com.gct.common.core.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author xusirui 2022/7/11
 */
@FeignClient(value = "data-engine-suitcase",fallback = SuitcaseHystrix.class)
public interface SuitcaseClient {

    @GetMapping("/template/file/search")
    String getOssTemplateFileById(@RequestParam String tempId);

    @GetMapping("/driver/location")
    String getFileLocation(@RequestParam String driverName,@RequestParam Double limitVersion);

}
