package com.gct.dataengine.collector.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author xusirui 2022/4/21
 */
@Data
@ConfigurationProperties(prefix = "gct.quartz.triggers.bind-task")
public class BindTaskTriggerConfigurationProperties {
    private String jobName = "BIND_TASK";
    private String jobGroup = "BIND_TASK_GROUP";
    private boolean isRepeatable = true;
    private String cronStr = "0 0/1 * * * ?";
}
