package com.gct.dataengine.collector.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xusirui 2022/4/1
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class BlockData {

    DataValue[] dataValues;
    DataTag[] dataTags;

    @Data
    @AllArgsConstructor
    public static class DataTag{
        String name;
        String value;
    }

    @Data
    @AllArgsConstructor
    public static class DataValue{
        String name;
        String value;
        String type;
    }
}
