package com.gct.dataengine.collector.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.UUID;

/**
 * @author xusirui 2022/4/21
 */
@Data
@ConfigurationProperties(prefix = "gct.collector")
@Component
public class CollectorProperties {

    private String id = UUID.randomUUID().toString();

    private String name;

    private String isolationId;

    private Integer maxLimit;

    private Integer breathInterval;

    private Integer pullInterval;

    private Integer timeOut;

    private Integer conditionMonitorInterval;
}
