package com.gct.dataengine.collector.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author xusirui 2022/4/21
 */
@Data
@ConfigurationProperties(prefix = "gct.quartz.triggers.heart-beat")
public class HeartBeatTriggerConfigurationProperties {

    private String jobName = "HEART_BEAT";
    private String jobGroup = "HEART_BEAT_GROUP";
    private boolean isRepeatable = true;
    private String cronStr = "0 0/1 * * * ?";
}
