package com.gct.dataengine.collector.service.task.job;

import com.gct.dataengine.collector.service.task.secondlevel.ConditionMonitorTask;
import com.gct.dataengine.template.entity.enums.Constant;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

/**
 * @author xusirui 2022/7/27
 */
public class ConditionMonitorQuartzJob implements Job {

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        ConditionMonitorTask conditionMonitorTask = (ConditionMonitorTask)jobExecutionContext.getMergedJobDataMap().get(Constant.JOB_PARAM_KEY);
        conditionMonitorTask.runTask();
    }
}