package com.gct.dataengine.collector.service.task.thirdlevel;

import com.gct.dataengine.collector.service.task.secondlevel.CircleTask;
import com.gct.dataengine.collector.service.task.secondlevel.DataBlockTask;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

import static org.quartz.CronScheduleBuilder.cronSchedule;

/**
 * @author xusirui 2022/4/25
 */
@Slf4j
@Data
public class TemplateTask {

    List<CircleTask> circleTasks = new ArrayList<>();

    public void addCircleTask(CircleTask circleTask){
        circleTasks.add(circleTask);
    }

}
